import cn.hutool.core.lang.Assert;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.dayou.BaseApplication;
import com.dayou.bo.LeaderRatioBO;
import com.dayou.configuration.AsyncManager;
import com.dayou.controller.ItemController;
import com.dayou.dto.ItemDTO;
import com.dayou.entity.BrokerageMarketerRatio;
import com.dayou.entity.Customer;
import com.dayou.entity.ItemBrokerageGeneral;
import com.dayou.entity.UserTarget;
import com.dayou.service.*;
import com.dayou.service.impl.ItemBrokerageSequenceServiceImpl;
import com.dayou.utils.Md5Utils;
import com.dayou.vo.ItemStatVO;
import com.google.common.cache.Cache;
import com.google.common.cache.LoadingCache;
import com.google.common.collect.Lists;
import com.zaxxer.hikari.HikariDataSource;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.RandomUtils;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.context.ApplicationContext;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.math.BigDecimal;
import java.util.*;
import java.util.concurrent.ExecutionException;
import java.util.function.Consumer;
import java.util.function.Function;
import java.util.function.Predicate;
import java.util.function.ToDoubleFunction;
import java.util.stream.Collectors;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/3/6
 * created with IntelliJ IDEA.
 */
@Slf4j
@SpringBootTest(classes = BaseApplication.class)
@RunWith(SpringJUnit4ClassRunner.class)
public class BrokerageTest {

    @Autowired
    private ITeamMemberService teamMemberService;
    
    @Autowired
    private IItemBrokerageSequenceService itemBrokerageSequenceService;

    @Autowired
    private IUserTargetService userTargetService;



    @Test
    public void testBrokerageCache() throws ExecutionException {
        userTargetService.getTeamTarget(140L);
    }

//    public static void main(String ages []) {
//
//        new Thread(()->{System.out.println("xxx");}).start();
//        List<Integer> list = Arrays.asList(1,2,3,4,5,6);
//
//        List<Integer> collect = list.stream().map(x->(x+1)).collect(Collectors.toList());
//
//        ItemController itemController = new ItemController();
//        List<Integer> collect1 = list.stream().map(x->x+1).collect(Collectors.toList());
//        list.stream().filter(x->x>2).collect(Collectors.toList());
//        list.stream().forEach(x->System.out.println(x));
//        List<Integer> collect2 = list.stream().limit(3L).collect(Collectors.toList());
//        list.stream().sorted((x,y)->-1).collect(Collectors.toList());
//        double sum = list.stream().mapToDouble(value->Double.valueOf(value)).sum();
//    }



}